> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tracking Link (/api-reference/fansly/tracking-links/update-tracking-link)

Update an existing tracking link's label and description.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-fansly-docs/openapi.yaml put /api/fansly/{fanslyAccount}/tracking-links/{tracking_link_id}
openapi: 3.0.3
info:
  title: Fansly API Documentation
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: Account
    description: Endpoints for your linked Fansly accounts
  - name: Chats
    description: Endpoints for Fansly chats (messaging groups)
  - name: Earnings
    description: Endpoints for Fansly Earnings — wallets, balances, transactions,
      payouts, and statements.
  - name: Followers
    description: Endpoints for Fansly followers.
  - name: Lists
    description: Endpoints for Fansly subscriber/fan lists (e.g. "VIP", "Spenders").
  - name: Profile Statistics
    description: Endpoints for Fansly Profile Statistics (viewer engagement insights).
  - name: Subscribers
    description: Endpoints for Fansly subscribers and subscription tiers.
  - name: Top Supporters
    description: Endpoints for the Fansly "Top Supporters" view — see who spends the
      most and what they spend on.
  - name: Tracking Links
    description: Endpoints for Fansly tracking links — per-source attribution links
      (e.g. "Twitter bio", "FYP", "Search").
  - name: Users
    description: APIs for fetching Fansly users
paths:
  /api/fansly/{fanslyAccount}/tracking-links/{tracking_link_id}:
    parameters:
      - in: path
        name: fanslyAccount
        description: The Fansly Account ID
        example: fansly_acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: tracking_link_id
        description: The Fansly tracking link ID.
        example: "845759434926862336"
        required: true
        schema:
          type: string
    put:
      summary: Update Tracking Link
      operationId: updateTrackingLink
      description: Update an existing tracking link's label and description.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: "100000000000000003"
                    accountId: "800000000000000001"
                    internalId: "1002"
                    type: 1000
                    status: 1
                    label: Twitter bio (updated)
                    description: Updated description.
                    metadata: "{}"
                    createdAt: 1780512430000
                    clicks: null
                    claims: null
                    follows: null
                    subscriptions: null
                    totalNet: null
                    totalGross: null
                  _meta:
                    _credits:
                      used: 1
                      balance: 10055796
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4999
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: "100000000000000003"
                      accountId:
                        type: string
                        example: "800000000000000001"
                      internalId:
                        type: string
                        example: "1002"
                      type:
                        type: integer
                        example: 1000
                      status:
                        type: integer
                        example: 1
                      label:
                        type: string
                        example: Twitter bio (updated)
                      description:
                        type: string
                        example: Updated description.
                      metadata:
                        type: string
                        example: "{}"
                      createdAt:
                        type: integer
                        example: 1780512430000
                      clicks:
                        type: string
                        example: null
                        nullable: true
                      claims:
                        type: string
                        example: null
                        nullable: true
                      follows:
                        type: string
                        example: null
                        nullable: true
                      subscriptions:
                        type: string
                        example: null
                        nullable: true
                      totalNet:
                        type: string
                        example: null
                        nullable: true
                      totalGross:
                        type: string
                        example: null
                        nullable: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 10055796
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4999
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Tracking Links
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                label:
                  type: string
                  description: The updated label for the tracking link.
                  example: Twitter bio (updated)
                description:
                  type: string
                  description: Optional description for the tracking link.
                  example: Updated description.
              required:
                - label
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````